:root {
    --font-color: #242424;
    --primary-color: #00C4C4;
    --primary-light-color: #90DEDE;
    --secondary-color: #004545;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    margin: 0;
    color: var(--font-color);
}

.header {
    background-color: var(--primary-color);
    padding: 2px 24px;
}

.content,
.search-bar {
    padding: 16px;
}

.search-bar {
    background-color: var(--primary-light-color);
}

.horizontal-spacer {
    flex: 1 1 auto;
}

.form-container > form {
    display: flex;
    align-items: center;
    margin-bottom: 0;
}

.form-item {
    margin-right: 16px;
}

.form-item > input {
    line-height: 32px;
    height: 32px;
    border: 1px solid #747474;
    border-radius: 4px;
    width: 200px;
    padding: 0 8px;
    background-color: rgba(255,255,255, 0.8);
}

#city {
    flex: 3 1 auto;
}

#city > input {
    width: 100%;
}

button {
    background: none;
    background-color: var(--secondary-color);
    border-radius: 8px;
    padding: 8px 16px;
    border: none;
    font-size: 16px;
    color: white;
    cursor: pointer;
}

button:hover {
    color: white;
    background-color: #008F8F;
}
  
button:focus {
    outline: none;
    background-color: #00C4C4;
    color: var(--font-color);
}

.error-message {
    text-align: center;
    background-color: #c62828;
    color: white;
    font-size: 18px;
    padding: 10px;
    border-radius: 4px;
}

.weather-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 30px;
}

zizi-card {
  width: 25%;
  animation: fadeIn 3s;
}

.card-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  font-size: 30px;
}


.loader,
.loader:before,
.loader:after {
  border-radius: 50%;
}
.loader {
  color: var(--secondary-color);
  font-size: 11px;
  text-indent: -99999em;
  margin: 55px auto;
  position: relative;
  width: 10em;
  height: 10em;
  box-shadow: inset 0 0 0 1em;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
}
.loader:before,
.loader:after {
  position: absolute;
  content: '';
}
.loader:before {
  width: 5.2em;
  height: 10.2em;
  background: white;
  border-radius: 10.2em 0 0 10.2em;
  top: -0.1em;
  left: -0.1em;
  -webkit-transform-origin: 5.1em 5.1em;
  transform-origin: 5.1em 5.1em;
  -webkit-animation: load2 2s infinite ease 1.5s;
  animation: load2 2s infinite ease 1.5s;
}
.loader:after {
  width: 5.2em;
  height: 10.2em;
  background: white;
  border-radius: 0 10.2em 10.2em 0;
  top: -0.1em;
  left: 4.9em;
  -webkit-transform-origin: 0.1em 5.1em;
  transform-origin: 0.1em 5.1em;
  -webkit-animation: load2 2s infinite ease;
  animation: load2 2s infinite ease;
}
@-webkit-keyframes load2 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes load2 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes fadeIn {
  0% {opacity:0;}
  100% {opacity:1;}
}